unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, TeeEdit, ExtCtrls, TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TFastLineSeries;
    procedure Chart1AfterDraw(Sender: TObject);
    procedure SeriesGetMarkText(Sender: TChartSeries; ValueIndex: Integer; var MarkText: string);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Chart1AfterDraw(Sender: TObject);
var
  i: Integer;
begin
  for i:= 0 to Series1.Count-1 do
  with Series1.Marks.Positions.Position[i] do begin
    Custom:= True;
    LeftTop.X:= Series1.CalcXPos(i) - (Height div 2);
    LeftTop.Y:= Series1.CalcYPos(i) - (Width div 2);
    end;
  Series1.Repaint;
end;

procedure TForm1.SeriesGetMarkText(Sender: TChartSeries; ValueIndex: Integer;
  var MarkText: string);
const
  LabelPrefix : array[0..1] of string = ('1st Label= ', '2nd Label = ');
begin
  MarkText:= LabelPrefix[ValueIndex] + FormatFloat('0', Sender.XValue[ValueIndex]);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Series1.Clear;
  Series1.AddXY(Random(100), 0);
  Series1.AddXY(Random(100), 0);
  Series1.OnGetMarkText:= SeriesGetMarkText;
end;

end.
